# Uses of Interface
org.opensaml.xmlsec.encryption.DataReference

Packages that use DataReference
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of DataReference in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption with type parameters of type DataReference
Modifier and Type
Field
Description
`private XMLEncryptionBuilder<DataReference>`
Encrypter.`dataReferenceBuilder`
Builder for DataReference objects.

## Uses of DataReference in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return types with arguments of type DataReference
Modifier and Type
Method
Description
`List<DataReference>`
ReferenceList.`getDataReferences()`
Get the list of data reference child elements.

## Uses of DataReference in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement DataReference
Modifier and Type
Class
Description
`class`
`DataReferenceImpl`
Concrete implementation of `DataReference`.
Methods in org.opensaml.xmlsec.encryption.impl that return DataReference
Modifier and Type
Method
Description
`DataReference`
DataReferenceBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`DataReference`
DataReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.encryption.impl that return types with arguments of type DataReference
Modifier and Type
Method
Description
`List<DataReference>`
ReferenceListImpl.`getDataReferences()`
Get the list of data reference child elements.